Package csb :: Package statistics :: Package samplers :: Package mc :: Module singlechain :: Class AbstractNCMCSampler

[frames] | no frames]

# Class AbstractNCMCSampler

source code

         object --+
                  |
    AbstractSampler --+
                      |
             AbstractMC --+
                          |
      AbstractSingleChainMC --+
                              |
                             AbstractNCMCSampler

Implementation of the NCMC sampling algorithm (Nilmeier et al., "Nonequilibrium candidate Monte Carlo is an efficient tool for equilibrium simulation", PNAS 2011) for sampling from one ensemble only. Subclasses have to specify the acceptance probability, which depends on the kind of perturbations and propagations in the protocol.

Nested Classes
Inherited from `AbstractSampler`: `__metaclass__`

Instance Methods

__init__(self, state, protocol, reverse_protocol) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractSingleChainMC`: `sample` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``_calc_pacc``'``])``

Properties
| protocol
| reverse_protocol
Inherited from `AbstractSingleChainMC`: `acceptance_rate`, `energy`, `last_move_accepted`, `temperature` Inherited from `AbstractMC`: `state` Inherited from `object`: `__class__`

Method Details

### __init__(self, state, protocol, reverse_protocol)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `state` (State) - Inital state
  - `protocol` (Protocol) - Nonequilibrium protocol with alternating perturbations and propagations
  - `reverse_protocol` (Protocol) - The reversed version of the protocol, that is, the order of perturbations and propagations in each step is reversed
Overrides: object.__init__
  (inherited documentation)

Property Details

### protocol

Get Method:
  unreachable.protocol(self)
Set Method:
  unreachable.protocol(self, value)

### reverse_protocol

Get Method:
  unreachable.reverse_protocol(self)
Set Method:
  unreachable.reverse_protocol(self, value)